clCreateContext fails reporting Device Not Available

clCreateContext fails reporting Device Not Available

Hi,

I have intel_sdk_for_ocl_applications_2013_xe_beta_sdk_3.0.56860_x64 installed on Ubuntu v. 10.04 LTS.

It is running on a dual E5335 system.

The attached program file (cl2.cpp) products the attached output (cl2out.txt) which reports that the device is available. Then, 2 lines later, when I try to create a context, the constructor fails reporting that the device is not available. My output is:

ERROR: clCreateContext(-2) Device Not Available

Various attempts at different versions of the constructor also fail with the same error code.

Any assistance would be greatly apprieciated.

nick

AttachmentSize
Downloadtext/x-c++src cl2.cpp3.86 KB
Downloadtext/plain cl2out.txt406 bytes
7 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hi Nick,

I can't reproduce this issue on officially supported platforms (Red Hat 6, SLES 11). So I guess it might be related to your installation.
Could you please describe the way you installed the product?

I have found several recipes for this (probably you have used one of them, but anyway):
http://mhr3.blogspot.com/2011/05/opencl-on-ubuntu.html

http://intel-opencl-sdk-for-ubuntu.blogspot.com/ http://develnoter.blogspot.com/2012/05/installing-opencl-in-ubuntu-1204....

Thanks,
Yuri

Nick,

Ubuntu is currently not supported by the SDK. The supported operating systems are listed here:

http://software.intel.com/en-us/articles/intel-sdk-for-opencl-applications-xe-2013-beta-release-notes

- Chuck

Thanks for your replies Chuck and Yuri.

I'd describe my install process as confused, "trial-and-error", "a bit of this a bit of that". I'd never be able to reproduce it and I don't think I'd be able to reverse engineer it.

I'll start again from scratch with a clean install on a clean system. If I can't get Ubuntu working I'll shell out the cash and get a Red Hat or SUSE. Other people have got it working so I'm sure that it's possible.

This might take me a while so I'll check back in when I've tested my new system.

Happy Easter.

nick

Hi,

I got a message via my e-mail about my processor not being supported by the SDK:

The system that you are on E5335 (Clovertown) is pre-SandyBridge technology.
Our SDK only supports CPU acceleration on SandyBridge+ and GPU acceleration on IvyBridge+.

When I click on the link the page is not found. Is this the case? 

I've just spent all of my free time over easter doing a fresh install of my Linux system which has been a struggle. I'll abandon the whole thing if there is not point in continueing.

nick

Hi Nick,

Yes, it looks like HW limitation. CPU support matrix (http://software.intel.com/en-us/articles/opencl-release-notes#2) doesn't include 5300 series.
Sorry for inconvenience.

Thanks,
Yuri

H Yuri,

That's really annoying. Seems that the E53xx is the only series not supported in that family.

When I finally get my Linux working again I'll give it one more try and if it does not work I'll spend my time doing something else.

nick

Leave a Comment

Please sign in to add a comment. Not a member? Join today